Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ExceptionCodeType< num > Struct Template Reference

Template struct which creates a distinct type for each exception code. More...

`#include <OgreException.h>`

List of all members.

## Public Types
enum | { number = num }

## Detailed Description

### template<int num>
struct Ogre::ExceptionCodeType< num >

Template struct which creates a distinct type for each exception code.

Note:
  This is useful because it allows us to create an overloaded method for returning different exception types by value without ambiguity. From 'Modern C++ Design' (Alexandrescu 2001).

Definition at line 181 of file OgreException.h.

## Member Enumeration Documentation

template<int num>
anonymous enum

  | Enumeration values:
  number |
Definition at line 183 of file OgreException.h.

The documentation for this struct was generated from the following file:

- OgreException.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:14 2007